Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nSecurityResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.P13nSecurityResource

All Implemented Interfaces:
  Resource, SecurityResource, SelfDescribingResource, Serializable

public class P13nSecurityResource
extends P13nResource
implements SecurityResource

The SecurityResource class is used to represent an application defined resource for the runtime checking of security policies.

This class will search for security policies beginning at the application resource leaf node and then in a hiearchical manner, until located.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`P13nSecurityResource(String entAppName, String webAppName, String appResourceID, String capability)` Construct a resource to be used for location of security policies.
`P13nSecurityResource(String entAppName, String webAppName, String appResourceID, String capability, int scopeOverride)` Construct a resource to be used for location of security policies.

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### P13nSecurityResource

    public P13nSecurityResource(String entAppName,
                                String webAppName,
                                String appResourceID,
                                String capability)

  Construct a resource to be used for location of security policies.

### P13nSecurityResource

    public P13nSecurityResource(String entAppName,
                                String webAppName,
                                String appResourceID,
                                String capability,
                                int scopeOverride)

  Construct a resource to be used for location of security policies.

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns:
    EntitlementConstants.SECURITY_POLICY_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved